Index: /trunk/src/wp-includes/js/media/audio-video.js
===================================================================
--- /trunk/src/wp-includes/js/media/audio-video.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/audio-video.js	(revision 31935)
@@ -346,5 +346,5 @@
  * @augments Backbone.View
  */
-var MediaDetails = require( './media-details' ),
+var MediaDetails = wp.media.view.MediaDetails,
 	AudioDetails;
 
@@ -372,5 +372,5 @@
 module.exports = AudioDetails;
 
-},{"./media-details":9}],6:[function(require,module,exports){
+},{}],6:[function(require,module,exports){
 /*globals wp */
 
@@ -390,7 +390,5 @@
 var MediaDetails = wp.media.view.MediaFrame.MediaDetails,
 	MediaLibrary = wp.media.controller.MediaLibrary,
-	
-	AudioDetailsView = require( '../audio-details.js' ),
-	AudioDetailsController = require( '../../controllers/audio-details.js' ),
+
 	l10n = wp.media.view.l10n,
 	AudioDetails;
@@ -409,5 +407,5 @@
 
 	initialize: function( options ) {
-		options.DetailsView = AudioDetailsView;
+		options.DetailsView = wp.media.view.AudioDetails;
 		options.cancelText = l10n.audioDetailsCancel;
 		options.addText = l10n.audioAddSourceTitle;
@@ -425,5 +423,5 @@
 	createStates: function() {
 		this.states.add([
-			new AudioDetailsController( {
+			new wp.media.controller.AudioDetails( {
 				media: this.media
 			} ),
@@ -452,5 +450,5 @@
 module.exports = AudioDetails;
 
-},{"../../controllers/audio-details.js":2,"../audio-details.js":5}],7:[function(require,module,exports){
+},{}],7:[function(require,module,exports){
 /*globals wp */
 
@@ -467,7 +465,5 @@
  * @mixes wp.media.controller.StateMachine
  */
-var View = wp.media.View,
-	Toolbar = wp.media.view.Toolbar,
-	Select = wp.media.view.MediaFrame.Select,
+var Select = wp.media.view.MediaFrame.Select,
 	l10n = wp.media.view.l10n,
 	MediaDetails;
@@ -532,5 +528,5 @@
 				}
 			},
-			separateCancel: new View({
+			separateCancel: new wp.media.View({
 				className: 'separator',
 				priority: 40
@@ -541,5 +537,5 @@
 
 	setPrimaryButton: function(text, handler) {
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
@@ -604,6 +600,4 @@
 var MediaDetails = wp.media.view.MediaFrame.MediaDetails,
 	MediaLibrary = wp.media.controller.MediaLibrary,
-	VideoDetailsView = require( '../video-details.js' ),
-	VideoDetailsController = require( '../../controllers/video-details.js' ),
 	l10n = wp.media.view.l10n,
 	VideoDetails;
@@ -622,5 +616,5 @@
 
 	initialize: function( options ) {
-		options.DetailsView = VideoDetailsView;
+		options.DetailsView = wp.media.view.VideoDetails;
 		options.cancelText = l10n.videoDetailsCancel;
 		options.addText = l10n.videoAddSourceTitle;
@@ -640,5 +634,5 @@
 	createStates: function() {
 		this.states.add([
-			new VideoDetailsController({
+			new wp.media.controller.VideoDetails({
 				media: this.media
 			}),
@@ -725,5 +719,5 @@
 module.exports = VideoDetails;
 
-},{"../../controllers/video-details.js":3,"../video-details.js":10}],9:[function(require,module,exports){
+},{}],9:[function(require,module,exports){
 /*global wp, jQuery, _, MediaElementPlayer */
 
@@ -907,5 +901,5 @@
  * @augments Backbone.View
  */
-var MediaDetails = require( './media-details' ),
+var MediaDetails = wp.media.view.MediaDetails,
 	VideoDetails;
 
@@ -938,3 +932,3 @@
 module.exports = VideoDetails;
 
-},{"./media-details":9}]},{},[1]);
+},{}]},{},[1]);
Index: /trunk/src/wp-includes/js/media/controllers/collection-add.js
===================================================================
--- /trunk/src/wp-includes/js/media/controllers/collection-add.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/controllers/collection-add.js	(revision 31935)
@@ -35,5 +35,5 @@
  */
 var Selection = wp.media.model.Selection,
-	Library = require( './library.js' ),
+	Library = wp.media.controller.Library,
 	CollectionAdd;
 
Index: /trunk/src/wp-includes/js/media/controllers/collection-edit.js
===================================================================
--- /trunk/src/wp-includes/js/media/controllers/collection-edit.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/controllers/collection-edit.js	(revision 31935)
@@ -35,7 +35,5 @@
  * @param {string}                     attributes.collectionType         The collection type. (e.g. 'playlist').
  */
-var Library = require( './library.js' ),
-	View = require( '../views/view.js' ),
-	EditLibraryView = require( '../views/attachment/edit-library.js' ),
+var Library = wp.media.controller.Library,
 	l10n = wp.media.view.l10n,
 	$ = jQuery,
@@ -76,5 +74,5 @@
 		// The single `Attachment` view to be used in the `Attachments` view.
 		if ( ! this.get('AttachmentView') ) {
-			this.set( 'AttachmentView', EditLibraryView );
+			this.set( 'AttachmentView', wp.media.view.Attachment.EditLibrary );
 		}
 		Library.prototype.initialize.apply( this, arguments );
@@ -142,5 +140,5 @@
 
 		if ( dragInfoText ) {
-			attachmentsBrowserView.toolbar.set( 'dragInfo', new View({
+			attachmentsBrowserView.toolbar.set( 'dragInfo', new wp.media.View({
 				el: $( '<div class="instructions">' + dragInfoText + '</div>' )[0],
 				priority: -40
Index: /trunk/src/wp-includes/js/media/controllers/cropper.js
===================================================================
--- /trunk/src/wp-includes/js/media/controllers/cropper.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/controllers/cropper.js	(revision 31935)
@@ -10,11 +10,8 @@
  * @augments Backbone.Model
  */
-var State = require( './state.js' ),
-	ToolbarView = require( '../views/toolbar.js' ),
-	CropperView = require( '../views/cropper.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	Cropper;
 
-Cropper = State.extend({
+Cropper = wp.media.controller.State.extend({
 	defaults: {
 		id:          'cropper',
@@ -39,5 +36,5 @@
 
 	createCropContent: function() {
-		this.cropperView = new CropperView({
+		this.cropperView = new wp.media.view.Cropper({
 			controller: this,
 			attachment: this.get('selection').first()
@@ -105,5 +102,5 @@
 		}
 
-		this.frame.toolbar.set( new ToolbarView(toolbarOptions) );
+		this.frame.toolbar.set( new wp.media.view.Toolbar(toolbarOptions) );
 	},
 
Index: /trunk/src/wp-includes/js/media/controllers/edit-attachment-metadata.js
===================================================================
--- /trunk/src/wp-includes/js/media/controllers/edit-attachment-metadata.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/controllers/edit-attachment-metadata.js	(revision 31935)
@@ -10,9 +10,8 @@
  * @augments Backbone.Model
  */
-var State = wp.media.controller.State,
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	EditAttachmentMetadata;
 
-EditAttachmentMetadata = State.extend({
+EditAttachmentMetadata = wp.media.controller.State.extend({
 	defaults: {
 		id:      'edit-attachment',
Index: /trunk/src/wp-includes/js/media/controllers/edit-image.js
===================================================================
--- /trunk/src/wp-includes/js/media/controllers/edit-image.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/controllers/edit-image.js	(revision 31935)
@@ -19,10 +19,8 @@
  * @param {string}                    [attributes.url]                Unused. @todo Consider removal.
  */
-var State = require( './state.js' ),
-	ToolbarView = require( '../views/toolbar.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	EditImage;
 
-EditImage = State.extend({
+EditImage = wp.media.controller.State.extend({
 	defaults: {
 		id:      'edit-image',
@@ -56,5 +54,5 @@
 			previous = lastState && lastState.id;
 
-		frame.toolbar.set( new ToolbarView({
+		frame.toolbar.set( new wp.media.view.Toolbar({
 			controller: frame,
 			items: {
Index: /trunk/src/wp-includes/js/media/controllers/embed.js
===================================================================
--- /trunk/src/wp-includes/js/media/controllers/embed.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/controllers/embed.js	(revision 31935)
@@ -22,10 +22,9 @@
  * @param {object} [attributes.metadata={}]           Properties of the embed, which will override attributes.url if set.
  */
-var State = require( './state.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	$ = Backbone.$,
 	Embed;
 
-Embed = State.extend({
+Embed = wp.media.controller.State.extend({
 	defaults: {
 		id:       'embed',
Index: /trunk/src/wp-includes/js/media/controllers/featured-image.js
===================================================================
--- /trunk/src/wp-includes/js/media/controllers/featured-image.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/controllers/featured-image.js	(revision 31935)
@@ -33,5 +33,5 @@
  */
 var Attachment = wp.media.model.Attachment,
-	Library = require( './library.js' ),
+	Library = wp.media.controller.Library,
 	l10n = wp.media.view.l10n,
 	FeaturedImage;
Index: /trunk/src/wp-includes/js/media/controllers/gallery-add.js
===================================================================
--- /trunk/src/wp-includes/js/media/controllers/gallery-add.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/controllers/gallery-add.js	(revision 31935)
@@ -33,5 +33,5 @@
  */
 var Selection = wp.media.model.Selection,
-	Library = require( './library.js' ),
+	Library = wp.media.controller.Library,
 	l10n = wp.media.view.l10n,
 	GalleryAdd;
Index: /trunk/src/wp-includes/js/media/controllers/gallery-edit.js
===================================================================
--- /trunk/src/wp-includes/js/media/controllers/gallery-edit.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/controllers/gallery-edit.js	(revision 31935)
@@ -32,7 +32,5 @@
  *                                                                        If none supplied, defaults to wp.media.view.Attachment.EditLibrary.
  */
-var Library = require( './library.js' ),
-	EditLibraryView = require( '../views/attachment/edit-library.js' ),
-	GallerySettingsView = require( '../views/settings/gallery.js' ),
+var Library = wp.media.controller.Library,
 	l10n = wp.media.view.l10n,
 	GalleryEdit;
@@ -68,5 +66,5 @@
 		// The single `Attachment` view to be used in the `Attachments` view.
 		if ( ! this.get('AttachmentView') ) {
-			this.set( 'AttachmentView', EditLibraryView );
+			this.set( 'AttachmentView', wp.media.view.Attachment.EditLibrary );
 		}
 
@@ -122,5 +120,5 @@
 
 		browser.sidebar.set({
-			gallery: new GallerySettingsView({
+			gallery: new wp.media.view.Settings.Gallery({
 				controller: this,
 				model:      library.gallery,
Index: /trunk/src/wp-includes/js/media/controllers/image-details.js
===================================================================
--- /trunk/src/wp-includes/js/media/controllers/image-details.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/controllers/image-details.js	(revision 31935)
@@ -25,6 +25,6 @@
  *       however this may not do anything.
  */
-var State = require( './state.js' ),
-	Library = require( './library.js' ),
+var State = wp.media.controller.State,
+	Library = wp.media.controller.Library,
 	l10n = wp.media.view.l10n,
 	ImageDetails;
Index: /trunk/src/wp-includes/js/media/controllers/library.js
===================================================================
--- /trunk/src/wp-includes/js/media/controllers/library.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/controllers/library.js	(revision 31935)
@@ -35,12 +35,10 @@
  * @param {boolean}                         [attributes.syncSelection=true]      Whether the Attachments selection should be persisted from the last state.
  */
-var selectionSync = require( '../utils/selection-sync.js' ),
-	State = require( './state.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	getUserSetting = window.getUserSetting,
 	setUserSetting = window.setUserSetting,
 	Library;
 
-Library = State.extend({
+Library = wp.media.controller.State.extend({
 	defaults: {
 		id:                 'library',
@@ -270,5 +268,5 @@
 
 // Make selectionSync available on any Media Library state.
-_.extend( Library.prototype, selectionSync );
+_.extend( Library.prototype, wp.media.selectionSync );
 
 module.exports = Library;
Index: /trunk/src/wp-includes/js/media/controllers/media-library.js
===================================================================
--- /trunk/src/wp-includes/js/media/controllers/media-library.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/controllers/media-library.js	(revision 31935)
@@ -9,5 +9,5 @@
  * @augments Backbone.Model
  */
-var Library = require( './library.js' ),
+var Library = wp.media.controller.Library,
 	MediaLibrary;
 
Index: /trunk/src/wp-includes/js/media/controllers/replace-image.js
===================================================================
--- /trunk/src/wp-includes/js/media/controllers/replace-image.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/controllers/replace-image.js	(revision 31935)
@@ -32,5 +32,5 @@
  * @param {boolean}                    [attributes.syncSelection=true]      Whether the Attachments selection should be persisted from the last state.
  */
-var Library = require( './library.js' ),
+var Library = wp.media.controller.Library,
 	l10n = wp.media.view.l10n,
 	ReplaceImage;
Index: /trunk/src/wp-includes/js/media/grid.js
===================================================================
--- /trunk/src/wp-includes/js/media/grid.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/grid.js	(revision 31935)
@@ -11,9 +11,8 @@
  * @augments Backbone.Model
  */
-var State = wp.media.controller.State,
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	EditAttachmentMetadata;
 
-EditAttachmentMetadata = State.extend({
+EditAttachmentMetadata = wp.media.controller.State.extend({
 	defaults: {
 		id:      'edit-attachment',
@@ -141,4 +140,6 @@
 
 },{}],5:[function(require,module,exports){
+/*globals wp */
+
 /**
  * wp.media.view.DeleteSelectedPermanentlyButton
@@ -154,5 +155,5 @@
  */
 var Button = wp.media.view.Button,
-	DeleteSelected = require( './delete-selected.js' ),
+	DeleteSelected = wp.media.view.DeleteSelectedButton,
 	DeleteSelectedPermanently;
 
@@ -187,5 +188,5 @@
 module.exports = DeleteSelectedPermanently;
 
-},{"./delete-selected.js":6}],6:[function(require,module,exports){
+},{}],6:[function(require,module,exports){
 /*globals wp */
 
@@ -366,11 +367,4 @@
 var Frame = wp.media.view.Frame,
 	MediaFrame = wp.media.view.MediaFrame,
-	Modal = wp.media.view.Modal,
-	AttachmentCompat = wp.media.view.AttachmentCompat,
-	EditImageController = wp.media.controller.EditImage,
-
-	EditAttachmentMetadata = require( '../../controllers/edit-attachment-metadata.js' ),
-	TwoColumn = require( '../attachment/details-two-column.js' ),
-	DetailsView = require( '../edit-image-details.js' ),
 
 	$ = jQuery,
@@ -428,5 +422,5 @@
 		// Initialize modal container view.
 		if ( this.options.modal ) {
-			this.modal = new Modal({
+			this.modal = new wp.media.view.Modal({
 				controller: this,
 				title:      this.options.title
@@ -457,5 +451,5 @@
 	createStates: function() {
 		this.states.add([
-			new EditAttachmentMetadata( { model: this.model } )
+			new wp.media.controller.EditAttachmentMetadata( { model: this.model } )
 		]);
 	},
@@ -468,5 +462,5 @@
 	 */
 	editMetadataMode: function( contentRegion ) {
-		contentRegion.view = new TwoColumn({
+		contentRegion.view = new wp.media.view.Attachment.Details.TwoColumn({
 			controller: this,
 			model:      this.model
@@ -477,5 +471,5 @@
 		 * `attachment_fields_to_edit` filter.
 		 */
-		contentRegion.view.views.set( '.attachment-compat', new AttachmentCompat({
+		contentRegion.view.views.set( '.attachment-compat', new wp.media.view.AttachmentCompat({
 			controller: this,
 			model:      this.model
@@ -495,5 +489,5 @@
 	 */
 	editImageMode: function( contentRegion ) {
-		var editImageController = new EditImageController( {
+		var editImageController = new wp.media.controller.EditImage( {
 			model: this.model,
 			frame: this
@@ -504,5 +498,5 @@
 		editImageController._menu = function() {};
 
-		contentRegion.view = new DetailsView( {
+		contentRegion.view = new wp.media.view.EditImage.Details( {
 			model: this.model,
 			frame: this,
@@ -597,5 +591,5 @@
 module.exports = EditAttachments;
 
-},{"../../controllers/edit-attachment-metadata.js":1,"../attachment/details-two-column.js":4,"../edit-image-details.js":8}],10:[function(require,module,exports){
+},{}],10:[function(require,module,exports){
 /*globals wp, _, Backbone */
 
@@ -616,9 +610,5 @@
  */
 var MediaFrame = wp.media.view.MediaFrame,
-	UploaderWindow = wp.media.view.UploaderWindow,
-	AttachmentsBrowser = wp.media.view.AttachmentsBrowser,
 	Library = wp.media.controller.Library,
-
-	Router = require( '../../routers/manage.js' ),
 
 	$ = Backbone.$,
@@ -658,5 +648,5 @@
 		// Initialize a window-wide uploader.
 		if ( this.options.uploader ) {
-			this.uploader = new UploaderWindow({
+			this.uploader = new wp.media.view.UploaderWindow({
 				controller: this,
 				uploader: {
@@ -671,5 +661,5 @@
 		}
 
-		this.gridRouter = new Router();
+		this.gridRouter = new wp.media.view.MediaFrame.Manage.Router();
 
 		// Call 'initialize' directly on the parent class.
@@ -821,5 +811,5 @@
 
 		// Browse our library of attachments.
-		this.browserView = contentRegion.view = new AttachmentsBrowser({
+		this.browserView = contentRegion.view = new wp.media.view.AttachmentsBrowser({
 			controller: this,
 			collection: state.get('library'),
@@ -871,3 +861,3 @@
 module.exports = Manage;
 
-},{"../../routers/manage.js":3}]},{},[2]);
+},{}]},{},[2]);
Index: /trunk/src/wp-includes/js/media/models.js
===================================================================
--- /trunk/src/wp-includes/js/media/models.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/models.js	(revision 31935)
@@ -59,6 +59,6 @@
 delete l10n.settings;
 
+Attachment = media.model.Attachment = require( './models/attachment.js' );
 Attachments = media.model.Attachments = require( './models/attachments.js' );
-Attachment = media.model.Attachment = require( './models/attachment.js' );
 
 media.model.Query = require( './models/query.js' );
@@ -380,5 +380,5 @@
 	 */
 	create: function( attrs ) {
-		var Attachments = require( './attachments.js' );
+		var Attachments = wp.media.model.Attachments;
 		return Attachments.all.push( attrs );
 	},
@@ -395,5 +395,5 @@
 	 */
 	get: _.memoize( function( id, attachment ) {
-		var Attachments = require( './attachments.js' );
+		var Attachments = wp.media.model.Attachments;
 		return Attachments.all.push( attachment || { id: id } );
 	})
@@ -402,5 +402,5 @@
 module.exports = Attachment;
 
-},{"./attachments.js":3}],3:[function(require,module,exports){
+},{}],3:[function(require,module,exports){
 /*globals wp, _, Backbone */
 
@@ -427,12 +427,9 @@
  *
  */
-var Attachment = require( './attachment.js' ),
-	Attachments;
-
-Attachments = Backbone.Collection.extend({
+var Attachments = Backbone.Collection.extend({
 	/**
 	 * @type {wp.media.model.Attachment}
 	 */
-	model: Attachment,
+	model: wp.media.model.Attachment,
 	/**
 	 * @param {Array} [models=[]] Array of models used to populate the collection.
@@ -772,5 +769,5 @@
 			}
 
-			attachment = Attachment.get( id );
+			attachment = wp.media.model.Attachment.get( id );
 			newAttributes = attachment.parse( attrs, xhr );
 
@@ -788,10 +785,9 @@
 	 */
 	_requery: function( refresh ) {
-		var props, Query;
+		var props;
 		if ( this.props.get('query') ) {
-			Query = require( './query.js' );
 			props = this.props.toJSON();
 			props.cache = ( true !== refresh );
-			this.mirror( Query.get( props ) );
+			this.mirror( wp.media.model.Query.get( props ) );
 		}
 	},
@@ -940,5 +936,5 @@
 module.exports = Attachments;
 
-},{"./attachment.js":2,"./query.js":5}],4:[function(require,module,exports){
+},{}],4:[function(require,module,exports){
 /*globals Backbone */
 
@@ -956,10 +952,8 @@
  * @param {int} [attributes.attachment_id] ID of the attachment.
  **/
-var Attachment = require( './attachment' ),
-	PostImage;
-
-PostImage = Backbone.Model.extend({
+var PostImage = Backbone.Model.extend({
 
 	initialize: function( attributes ) {
+		var Attachment = wp.media.model.Attachment;
 		this.attachment = false;
 
@@ -1098,5 +1092,5 @@
 module.exports = PostImage;
 
-},{"./attachment":2}],5:[function(require,module,exports){
+},{}],5:[function(require,module,exports){
 /*globals wp, _ */
 
@@ -1118,5 +1112,5 @@
  * @param {object} [options.args.posts_per_page]
  */
-var Attachments = require( './attachments.js' ),
+var Attachments = wp.media.model.Attachments,
 	Query;
 
@@ -1408,6 +1402,6 @@
 module.exports = Query;
 
-},{"./attachments.js":3}],6:[function(require,module,exports){
-/*globals _ */
+},{}],6:[function(require,module,exports){
+/*globals wp, _ */
 
 /**
@@ -1420,5 +1414,5 @@
  * @augments Backbone.Collection
  */
-var Attachments = require( './attachments.js' ),
+var Attachments = wp.media.model.Attachments,
 	Selection;
 
@@ -1507,3 +1501,3 @@
 module.exports = Selection;
 
-},{"./attachments.js":3}]},{},[1]);
+},{}]},{},[1]);
Index: /trunk/src/wp-includes/js/media/models/attachment.js
===================================================================
--- /trunk/src/wp-includes/js/media/models/attachment.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/models/attachment.js	(revision 31935)
@@ -146,5 +146,5 @@
 	 */
 	create: function( attrs ) {
-		var Attachments = require( './attachments.js' );
+		var Attachments = wp.media.model.Attachments;
 		return Attachments.all.push( attrs );
 	},
@@ -161,5 +161,5 @@
 	 */
 	get: _.memoize( function( id, attachment ) {
-		var Attachments = require( './attachments.js' );
+		var Attachments = wp.media.model.Attachments;
 		return Attachments.all.push( attachment || { id: id } );
 	})
Index: /trunk/src/wp-includes/js/media/models/attachments.js
===================================================================
--- /trunk/src/wp-includes/js/media/models/attachments.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/models/attachments.js	(revision 31935)
@@ -23,12 +23,9 @@
  *
  */
-var Attachment = require( './attachment.js' ),
-	Attachments;
-
-Attachments = Backbone.Collection.extend({
+var Attachments = Backbone.Collection.extend({
 	/**
 	 * @type {wp.media.model.Attachment}
 	 */
-	model: Attachment,
+	model: wp.media.model.Attachment,
 	/**
 	 * @param {Array} [models=[]] Array of models used to populate the collection.
@@ -368,5 +365,5 @@
 			}
 
-			attachment = Attachment.get( id );
+			attachment = wp.media.model.Attachment.get( id );
 			newAttributes = attachment.parse( attrs, xhr );
 
@@ -384,10 +381,9 @@
 	 */
 	_requery: function( refresh ) {
-		var props, Query;
+		var props;
 		if ( this.props.get('query') ) {
-			Query = require( './query.js' );
 			props = this.props.toJSON();
 			props.cache = ( true !== refresh );
-			this.mirror( Query.get( props ) );
+			this.mirror( wp.media.model.Query.get( props ) );
 		}
 	},
Index: /trunk/src/wp-includes/js/media/models/post-image.js
===================================================================
--- /trunk/src/wp-includes/js/media/models/post-image.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/models/post-image.js	(revision 31935)
@@ -14,10 +14,8 @@
  * @param {int} [attributes.attachment_id] ID of the attachment.
  **/
-var Attachment = require( './attachment' ),
-	PostImage;
-
-PostImage = Backbone.Model.extend({
+var PostImage = Backbone.Model.extend({
 
 	initialize: function( attributes ) {
+		var Attachment = wp.media.model.Attachment;
 		this.attachment = false;
 
Index: /trunk/src/wp-includes/js/media/models/query.js
===================================================================
--- /trunk/src/wp-includes/js/media/models/query.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/models/query.js	(revision 31935)
@@ -18,5 +18,5 @@
  * @param {object} [options.args.posts_per_page]
  */
-var Attachments = require( './attachments.js' ),
+var Attachments = wp.media.model.Attachments,
 	Query;
 
Index: /trunk/src/wp-includes/js/media/models/selection.js
===================================================================
--- /trunk/src/wp-includes/js/media/models/selection.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/models/selection.js	(revision 31935)
@@ -1,3 +1,3 @@
-/*globals _ */
+/*globals wp, _ */
 
 /**
@@ -10,5 +10,5 @@
  * @augments Backbone.Collection
  */
-var Attachments = require( './attachments.js' ),
+var Attachments = wp.media.model.Attachments,
 	Selection;
 
